<?php session_start();
date_default_timezone_set('America/Bogota');
//RESTRICCIN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']='';
menu();

//Obtengo la fecha desde que inicia el periodo
$fecha_inicio_periodo=$row['desde'];
$fecha_fin_periodo=$row['hasta'];
?>
<head>
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>
	<link rel="stylesheet" href="../css/timepicker.min.css">
	<script src="js/timepicker.min.js"></script>
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script src='js/bootstrap.min.js'></script>
</head>
<?php

//establecemos el verbo http que queremos utilizar para la peticiÃ³n

function api_upload_Folder($nombre_archivo,$contenido_codificado){
  $curl = curl_init();
  $url = "https://sadehub-sappayrollapi-test.apps.pd01e.edc1.cf.ford.com/api/v1/files/bycountry/upload";
  curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://sadehub-sappayrollapi-test.apps.pd01e.edc1.cf.ford.com/api/v1/files/bycountry/upload',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_POSTFIELDS =>'{
      "country": "VEN",
      "fileContent": "'.$contenido_codificado.'",
      "fileName": "'.$nombre_archivo.'"
    }',
    CURLOPT_HTTPHEADER => array(
      'Authorization: Basic NDc0NjY5YjAtMzg0NS00ZGNjLWI2YWYtMzQzY2UyMGM5NWQ1OmN1Sk13dXRsVjh6NmxnTWRHYXl1Rmg3M3R4REJGdDcvckI2YTVwU1YySEk9', 'Content-Type: application/json'
    ),
  ));

  $response = curl_exec($curl);

  $result_api = json_decode($response,true);
  //TOMAR EL ESTADO DE LA CONSULTA HTTP
  $info = curl_getinfo($curl);
  $error = curl_error($curl);
  if(empty($info['http_code'])){
    die("No HTTP code was returned");
  }else if($info['http_code']==200){
    $resultado_transmision = "<b>El archivo fue transmitido satisfactoriamente</b>";
  }else if($info['http_code']>200){
    //$http_codes = parse_ini_file($url);
    foreach($result_api['error']['messages'] as $result) {
      $resultado_transmision = "<b>Hubo un error al transmitir el archivo: </b><br><br>"."<b>Error: </b>".$result;
    }
  }
  curl_close($curl);

  if ($resultado_transmision==''){
    $resultado_transmision= "<b>Error desconocido al transmitir la informaciÃ³n</b>";
  }

  return $resultado_transmision;
}

$contenido = "Hola este es un archivo de prueba 25 ago 2021 17:30";
$contenido_codificado = base64_encode($contenido);
$nombre_archivo = "prueba25082021_1730.txt";

echo $result_upload = api_upload_Folder($nombre_archivo,$contenido_codificado);

?>


</body>
</html>
